Bug 1556046 - libkdtree++: FTBFS in F28
Summary: libkdtree++: FTBFS in F28
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libkdtree++
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1604605 1675285 (view as bug list)
Depends On:
Blocks: F29FTBFS F30FTBFS F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-14 23:07 UTC by Fedora Release Engineering
Modified: 2019-04-10 02:47 UTC (History)
4 users (show)

Fixed In Version: libkdtree++-0.7.0-21.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-19 21:41:18 UTC


Attachments (Terms of Use)
build.log (97.57 KB, text/plain)
2018-05-28 12:11 UTC, Fedora Release Engineering
no flags Details
root.log (79.23 KB, text/plain)
2018-05-28 12:11 UTC, Fedora Release Engineering
no flags Details
state.log (639 bytes, text/plain)
2018-05-28 12:11 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2018-03-14 23:07:25 UTC
Your package libkdtree++ failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=24812371

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Jitka Plesnikova 2018-03-15 09:15:11 UTC
It fails in all Fedoras.

g++ -I.. -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -mcet -fcf-protection -o test_kdtree test_kdtree.cpp
In file included from test_kdtree.cpp:6:
../kdtree++/kdtree.hpp: In function 'std::ostream& KDTree::operator<<(std::ostream&, const KDTree::KDTree<__K, _Val, _Acc, _Dist, _Cmp, _Alloc>&)':
../kdtree++/kdtree.hpp:1200:28: error: no match for 'operator<<' (operand types are 'std::basic_ostream<char>' and 'const KDTree::_Node_base')
       o << "meta node:   " << tree._M_header << std::endl;
       ~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~

Additional information:
https://apps.fedoraproject.org/koschei/package/libkdtree++

Comment 2 Fedora Release Engineering 2018-05-28 12:11:15 UTC
Created attachment 1443192 [details]
build.log

Comment 3 Fedora Release Engineering 2018-05-28 12:11:22 UTC
Created attachment 1443193 [details]
root.log

Comment 4 Fedora Release Engineering 2018-05-28 12:11:28 UTC
Created attachment 1443194 [details]
state.log

Comment 5 Zbigniew Jędrzejewski-Szmek 2018-07-09 04:14:12 UTC
Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 6 Zbigniew Jędrzejewski-Szmek 2018-07-09 04:19:02 UTC
Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to acknowledge this. Following the latest policy for such packages [2], your package will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 7 Jitka Plesnikova 2019-02-28 14:47:55 UTC
*** Bug 1604605 has been marked as a duplicate of this bug. ***

Comment 8 Jitka Plesnikova 2019-02-28 14:49:00 UTC
*** Bug 1675285 has been marked as a duplicate of this bug. ***

Comment 9 Miro Hrončok 2019-03-19 08:35:08 UTC
Let's orphan it.

Comment 10 Fedora Update System 2019-03-19 21:50:24 UTC
libkdtree++-0.7.0-21.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-30a56d7fda

Comment 11 Fedora Update System 2019-03-21 19:11:56 UTC
libkdtree++-0.7.0-21.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-30a56d7fda

Comment 12 Fedora Update System 2019-04-10 02:47:51 UTC
libkdtree++-0.7.0-21.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.